Subject: Re: [PATCH] ipv4: fix for ip_options_rcv_srr() daddr update.

From: Li Wei <[email-masked]>
Date: Tue, 15 Nov 2011 16:29:59 +0800

> My long term plan is to eliminate cached routes, we will directly use
> routing table entries instead.
> 
> In such a scheme, the member rt->rt_dst will no longer even exist.
> 
> This is what I've been working towards for more than a year, it is a
> slow and very difficult transformation.
> 
> If you starting adding rt->rt_dst references back, we are taking
> steps backwards.
> 
> 

Thank you, I got it. 

I'll do my best to fix it but without any promise, because i am a kernel
newbie :D